# Interface ArrayTypeTree

All Superinterfaces:
  `Tree`

public interface ArrayTypeTree extends Tree
A tree node for an array type. For example:

      type []

See Java Language Specification:
  10.1 Array Types
Since:
  1.6

## Nested Class Summary

### Nested classes/interfaces declared in interface Tree

`Tree.Kind`

## Method Summary

Modifier and Type
Method
Description
`Tree`
`getType()`
Returns the element type of this array type.

### Methods declared in interface Tree

`accept, getKind`

## Method Details

### getType

Tree getType()
Returns the element type of this array type.

Returns:
  the element type